VFTOVP(1)

NAME
vftovp - convert TeX virtual font (vf) files to virtual property lists (vpl)

SYNOPSIS
vftovp [options] vf_file[.vf] [tfm_file[.tfm] [vpl_file[.vpl]]]

DESCRIPTION
The vftovp program translates a (binary) virtual font file and its accompanying TeX font metric file to a (plain text) property list file. Thus, the virtual font can be edited, and its exact contents can be displayed mnemonically. It also serves as a vf-file validating program, i.e., if no error messages are given, the input files are correct.

The filenames are extended with the appropriate extension if necessary.

TeX's virtual font format supports composing new characters from characters from any number of existing fonts, and also using rules in characters. This allows, for example, re-encoding with a mixture of characters from different fonts. These vf fonts are entirely unrelated to the variable fonts that can be created with OpenType, which also conventionally use the .vf extension.

OPTIONS
See tex(1) for details of command-line parsing.

-charcode-format=format
    The argument format specifies how character codes are output in the vpl file. By default (the historical behavior), ASCII letters and digits are output using the "C" code (i.e., as themselves), and other characters are output in octal; unless the font's coding scheme starts with "TeX math sy" or "TeX math ex", in which case all character codes are output in octal.

    If format is ascii, all character codes that correspond to graphic characters, besides the left and right parentheses, are output in ASCII.

    Finally, if format is octal, all character codes are output in octal. (This option is the same as in tftopl.)

-verbose
    By default, the program operates silently. With this option, some reports are written to stdout.

The standard -help and -version options are also supported.

ENVIRONMENT
The program looks for vf_file using the environment variable VFFONTS, and tfm_file using the environment variable TFMFONTS. If either is not set, it then checks the variable TEXFONTS. If that is not set, it uses the system default. See the Kpathsea manual at https://tug.org/kpathsea for the details of the searching.

SEE ALSO
pltotf(1), tftopl(1), vptovf(1).

Brief description of virtual fonts, and additional references: https://tug.org/texinfohtml/dvips.html#Virtual-fonts
Knuth's original message introducing virtual fonts: https://mirror.ctan.org/info/virtual-fonts.knuth
Font utility topic on CTAN: https://ctan.org/topic/font-util
Package page on CTAN: https://ctan.org/pkg/vftovp
Section in the Web2c manual: https://tug.org/texinfohtml/web2c.html#vftovp-invocation
Typeset source code, including the vf file format description: https://ctan.org/pkg/knuth-pdf

AUTHORS
Donald E. Knuth wrote the program, based in part on an idea of David Fuchs, starting with the code for tftopl(1). Karl Berry adapted it for compilation with web2c.

Public discussion list and bug reports: https://lists.tug.org/tex-k